Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2008-4220

Overview

Vulnerability Score 10.0 10.0
CVE Id CVE-2008-4220
Last Modified 07 Mar 2011 10:12:08
Published 16 Dec 2008 08:30:00
Confidentiality Impact COMPLETE COMPLETE
Integrity Impact COMPLETE COMPLETE
Availability Impact COMPLETE COMPLETE
Access Vector NETWORK
Access Complexity LOW
Authentication NONE

CVE-2008-4220

Summary

Integer overflow in the inet_net_pton API in Libsystem in Apple Mac OS X before 10.5.6 allows context-dependent attackers to execute arbitrary code or cause a denial of service (application crash) via unspecified vectors. NOTE: this may be related to the WLB-2008080064 advisory published by SecurityReason on 20080822; however, as of 20081216, there are insufficient details to be sure.

Vulnerable Systems

Operating System

  • Apple Mac Os X 10.4.11

  • Apple Mac Os X 10.5

  • Apple Mac Os X 10.5.1

  • Apple Mac Os X 10.5.2

  • Apple Mac Os X 10.5.3

  • Apple Mac Os X 10.5.4

  • Apple Mac Os X 10.5.5

  • Apple Mac Os X Server 10.4.11

  • Apple Mac Os X Server 10.5

  • Apple Mac Os X Server 10.5.1

  • Apple Mac Os X Server 10.5.2

  • Apple Mac Os X Server 10.5.3

  • Apple Mac Os X Server 10.5.4

  • Apple Mac Os X Server 10.5.5


References

CERT - TA08-350A

VUPEN - ADV-2008-3444

SECTRACK - 1021406

BID - 32877

BID - 32839

CONFIRM - http://support.apple.com/kb/HT3338

SECUNIA - 33179

APPLE - APPLE-SA-2008-12-15

Related Patches

Apple 2008-12-15 Security Update 2008-008 (Client PPC)

Apple 2008-12-15 Security Update 2008-008 Server (PPC)

Apple 2008-12-15 Security Update 2008-008 Server (Intel)

Apple 2008-12-15 Mac OS X Server 10.5.6 Combo Update

Apple 2008-12-15 Mac OS X 10.5.6 Combo Update

Apple 2008-12-15 Mac OS X 10.5.6 Update

Apple 2008-12-15 Security Update 2008-008 (Client Intel)

Apple 2008-12-15 Mac OS X Server 10.5.6 Update


Last Updated: 27 May 2016 10:48:26